<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html">IStreamSource</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::IStreamSource Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html">alexaClientSDK::mediaPlayer::IStreamSource</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a4db86450ab72d8a25ff3bcda3c7f606c">BaseStreamSource</a>(PipelineInterface *pipeline, const std::string &amp;className)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#add1d117c9368996e79c0a945ce8c2804">clearOnReadDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html#aca899332b38da13dc1d07d4f81827bb8">create</a>(PipelineInterface *pipeline, std::shared_ptr&lt; std::istream &gt; stream, bool repeat)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html">alexaClientSDK::mediaPlayer::IStreamSource</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#af398400db8a0079e0686aa46c2c2d962">getAppSrc</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a155068ec162d01ad664c248319e8a0da">handleEndOfStream</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a4e87e5e33b407f8e66138448b6de5598">init</a>(const avsCommon::utils::AudioFormat *audioFormat=nullptr)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aef89c7355025daa3808a8913510a5303">installOnReadDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aa470bd17a8d1aaab9021f9bba41c6baf">preprocess</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aae4b6b70b90071604ffe9c66ce842c60">signalEndOfData</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a64e705aab13326da47ab2110961bccfa">SourceInterface</a>(const std::string &amp;className)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">alexaClientSDK::mediaPlayer::SourceInterface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#ad38c6c99065fbccf2e8b637c9ac4e72f">uninstallOnReadDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a942793af58afaedbea26e0ca4f2c5aa4">updateOnReadDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a344e29433555b79788509d3a5f955dc1">~BaseStreamSource</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html#a2b083ef5c773bce66de38bca24491ac3">~IStreamSource</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_i_stream_source.html">alexaClientSDK::mediaPlayer::IStreamSource</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a95c787c015d44fb6409f0a050424cc0d">~SourceInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">alexaClientSDK::mediaPlayer::SourceInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
